petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecCreateGhost

Creates a parallel vector with ghost padding on each processor.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecCreateGhost(MPI_Comm comm,PetscInt n,PetscInt N,PetscInt nghost,const PetscInt ghosts[],Vec *vv)

Collective on MPI_Comm

### Input Parameters

| comm | - the MPI communicator to use
| n | - local vector length
| N | - global vector length (or PETSC_DECIDE to have calculated if n is given)
| nghost | - number of local ghost points
| ghosts | - global indices of ghost points, these do not need to be in increasing order (sorted)

### Output Parameter

vv -the global vector representation (without ghost points as part of vector)

### Notes

Use VecGhostGetLocalForm() to access the local, ghosted representation of the vector.

This also automatically sets the ISLocalToGlobalMapping() for this vector.

### See Also

VecCreateSeq(), VecCreate(), VecDuplicate(), VecDuplicateVecs(), VecCreateMPI(),
VecGhostGetLocalForm(), VecGhostRestoreLocalForm(), VecGhostUpdateBegin(), VecCreateGhostWithArray(), VecCreateMPIWithArray(), VecGhostUpdateEnd(), VecCreateGhostBlock(), VecCreateGhostBlockWithArray(), VecMPISetGhost()

Level:advanced
Location:src/vec/vec/impls/mpi/pbvec.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex9f.F.html
src/vec/vec/examples/tutorials/ex14f.F.html